--- channels/chan_sip.c.orig	2012-06-28 09:29:40.904144531 +0200
+++ channels/chan_sip.c	2012-06-28 11:11:31.909651082 +0200
@@ -11584,6 +11584,7 @@
 	struct ast_str *a_video = ast_str_alloca(1024); /* Attributes for video */
 	struct ast_str *a_text = ast_str_alloca(1024);  /* Attributes for text */
 	struct ast_str *a_modem = ast_str_alloca(1024); /* Attributes for modem */
+	struct ast_str *b_video = ast_str_alloca(256);  /* Bandwith declaration line for video */
 	const char *a_crypto = NULL;
 	const char *v_a_crypto = NULL;
 	const char *t_a_crypto = NULL;
@@ -11712,6 +11713,7 @@
 			/* Build max bitrate string */
 			if (p->maxcallbitrate)
 				snprintf(bandwidth, sizeof(bandwidth), "b=CT:%d\r\n", p->maxcallbitrate);
+				ast_str_append(&b_video, 0, "b=TIAS:%d\r\n", p->maxcallbitrate);
 			if (debug) {
 				ast_verbose("Video is at %s\n", ast_sockaddr_stringify(&vdest));
 			}
@@ -11929,6 +11931,7 @@
 			} else if (p->offered_media[SDP_VIDEO].order_offered == i) {
 				if (needvideo) { /* only if video response is appropriate */
 					add_content(resp, m_video->str);
+					add_content(resp, b_video->str);
 					add_content(resp, a_video->str);
 					add_content(resp, hold);	/* Repeat hold for the video stream */
 					if (v_a_crypto) {
@@ -11971,6 +11974,7 @@
 		}
 		if (needvideo) { /* only if video response is appropriate */
 			add_content(resp, m_video->str);
+			add_content(resp, b_video->str);
 			add_content(resp, a_video->str);
 			add_content(resp, hold);	/* Repeat hold for the video stream */
 			if (v_a_crypto) {
